ONVIF::Analytics::Types::AudioClassDescriptor(3pm)

NAME
ONVIF::Analytics::Types::AudioClassDescriptor

DESCRIPTION
Perl data type class for the XML Schema defined complexType AudioClassDescriptor from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ClassCandidate

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::AudioClassDescriptor
   ClassCandidate =>  { # ONVIF::Analytics::Types::AudioClassCandidate
     Type => $some_value, # AudioClassType
     Likelihood =>  $some_value, # float
   },
   Extension =>  { # ONVIF::Analytics::Types::AudioClassDescriptorExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL